/Users/bernard/b20/bsoft/include/rwmodel_xml.h(3)

NAME
/Users/bernard/b20/bsoft/include/rwmodel_xml.h - Read and write models in XML format.

SYNOPSIS

#include 'rwmodel.h'

  Functions
Bmodel * read_model_xml (Bstring *file_list)
Reads XML model parameters.
int write_model_xml (Bstring &filename, Bmodel *model)
Writes XML model parameters.

Detailed Description

Read and write models in XML format.

Author:
    Bernard Heymann

Date:
    Created: 20081029

    Modified: 20081029

Definition in file rwmodel_xml.h.

Function Documentation

  Bmodel* read_model_xml (Bstring * file_list)

Reads XML model parameters.

Parameters:
    *file_list list of model parameter file names.

Returns:
    Bmodel* model parameters.

Definition at line 185 of file rwmodel_xml.cpp.

  int write_model_xml (Bstring & filename, Bmodel * model)

Writes XML model parameters.

Parameters:
    &filename model parameter file name.
    *model model parameters.

Returns:
    int 0, <0 on error.

Definition at line 298 of file rwmodel_xml.cpp.

Author

Generated automatically by Doxygen for Bsoft from the source code.